## com.google.gwt.user.client
Interface EventPreview

All Known Implementing Classes:
  PopupPanel

public interface EventPreview

A listener interface for previewing browser events.

See Also:
  `DOM.addEventPreview(EventPreview)`

Method Summary
`boolean` `onEventPreview(Event event)` Called when a browser event occurs and this event preview is on top of the preview stack.

Method Detail

### onEventPreview

    public boolean onEventPreview(Event event)

  Called when a browser event occurs and this event preview is on top of the preview stack.

  Parameters:
    `event` - the browser event
  Returns:
    `false` to cancel the event
  See Also:
    `DOM.addEventPreview(EventPreview)`